Bug 1123683 - Builds in base locales other than english can fail
Summary: Builds in base locales other than english can fail
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor
Version: 1.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: pressgang-ccms-dev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 23:02 UTC by Lee Newson
Modified: 2015-03-06 06:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-06 06:12:30 UTC


Attachments (Terms of Use)

Description Lee Newson 2014-07-27 23:02:51 UTC
If a content spec uses a locale other than english and includes characters other than basic ASCII characters than the build will fail because the books entity filename isn't URL encoded.

Comment 1 Lee Newson 2014-07-28 05:06:13 UTC
This fails in publican with an error about not being able to find Book_Info.xml and appears to be a bug as based on the spec and running xmllint. Though that needs more investigation and also some relevant test cases.

I've come up with a workaround which is to change the mainfile name to "Book" or "Article" based on the type (this is only done when the title contains those invalid characters). This means that the entity file name doesn't contain any characters that would need to be encoded.

Comment 3 Yuko Katabami 2015-03-06 06:12:30 UTC
The particular project I needed this for is moved out of the PressGang system, thus the fix is no longer needed.
Moving the status to CLOSED.


Note You need to log in before you can comment on or make changes to this bug.